Update product
curl --request PATCH \
--url https://app.zenedu.io/api/v1/bot/{bot}/products/{product} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"settings": {
"restart": true,
"protect_content": true,
"show_lesson_name": true,
"template_enabled": true,
"show_progress": true,
"is_text_protected": true,
"show_lessons_in_cabinet": true,
"menu_enabled": true,
"landing_button_text": "<string>",
"autodelete_steps": {
"delay": 24,
"step_types": []
}
},
"access": {
"finish_product_id": 123,
"access_period": {
"delay": 123,
"delay_date": "<string>",
"reminder": {
"enabled": true,
"days": 123,
"text": "<string>",
"button_text": "<string>",
"offer_type": "<string>",
"renewal_offer_id": 123
}
}
}
}
'import requests
url = "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}"
payload = {
"name": "<string>",
"description": "<string>",
"settings": {
"restart": True,
"protect_content": True,
"show_lesson_name": True,
"template_enabled": True,
"show_progress": True,
"is_text_protected": True,
"show_lessons_in_cabinet": True,
"menu_enabled": True,
"landing_button_text": "<string>",
"autodelete_steps": {
"delay": 24,
"step_types": []
}
},
"access": {
"finish_product_id": 123,
"access_period": {
"delay": 123,
"delay_date": "<string>",
"reminder": {
"enabled": True,
"days": 123,
"text": "<string>",
"button_text": "<string>",
"offer_type": "<string>",
"renewal_offer_id": 123
}
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
settings: {
restart: true,
protect_content: true,
show_lesson_name: true,
template_enabled: true,
show_progress: true,
is_text_protected: true,
show_lessons_in_cabinet: true,
menu_enabled: true,
landing_button_text: '<string>',
autodelete_steps: {delay: 24, step_types: []}
},
access: {
finish_product_id: 123,
access_period: {
delay: 123,
delay_date: '<string>',
reminder: {
enabled: true,
days: 123,
text: '<string>',
button_text: '<string>',
offer_type: '<string>',
renewal_offer_id: 123
}
}
}
})
};
fetch('https://app.zenedu.io/api/v1/bot/{bot}/products/{product}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'settings' => [
'restart' => true,
'protect_content' => true,
'show_lesson_name' => true,
'template_enabled' => true,
'show_progress' => true,
'is_text_protected' => true,
'show_lessons_in_cabinet' => true,
'menu_enabled' => true,
'landing_button_text' => '<string>',
'autodelete_steps' => [
'delay' => 24,
'step_types' => [
]
]
],
'access' => [
'finish_product_id' => 123,
'access_period' => [
'delay' => 123,
'delay_date' => '<string>',
'reminder' => [
'enabled' => true,
'days' => 123,
'text' => '<string>',
'button_text' => '<string>',
'offer_type' => '<string>',
'renewal_offer_id' => 123
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"settings\": {\n \"restart\": true,\n \"protect_content\": true,\n \"show_lesson_name\": true,\n \"template_enabled\": true,\n \"show_progress\": true,\n \"is_text_protected\": true,\n \"show_lessons_in_cabinet\": true,\n \"menu_enabled\": true,\n \"landing_button_text\": \"<string>\",\n \"autodelete_steps\": {\n \"delay\": 24,\n \"step_types\": []\n }\n },\n \"access\": {\n \"finish_product_id\": 123,\n \"access_period\": {\n \"delay\": 123,\n \"delay_date\": \"<string>\",\n \"reminder\": {\n \"enabled\": true,\n \"days\": 123,\n \"text\": \"<string>\",\n \"button_text\": \"<string>\",\n \"offer_type\": \"<string>\",\n \"renewal_offer_id\": 123\n }\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.zenedu.io/api/v1/bot/{bot}/products/{product}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"settings\": {\n \"restart\": true,\n \"protect_content\": true,\n \"show_lesson_name\": true,\n \"template_enabled\": true,\n \"show_progress\": true,\n \"is_text_protected\": true,\n \"show_lessons_in_cabinet\": true,\n \"menu_enabled\": true,\n \"landing_button_text\": \"<string>\",\n \"autodelete_steps\": {\n \"delay\": 24,\n \"step_types\": []\n }\n },\n \"access\": {\n \"finish_product_id\": 123,\n \"access_period\": {\n \"delay\": 123,\n \"delay_date\": \"<string>\",\n \"reminder\": {\n \"enabled\": true,\n \"days\": 123,\n \"text\": \"<string>\",\n \"button_text\": \"<string>\",\n \"offer_type\": \"<string>\",\n \"renewal_offer_id\": 123\n }\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.zenedu.io/api/v1/bot/{bot}/products/{product}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"settings\": {\n \"restart\": true,\n \"protect_content\": true,\n \"show_lesson_name\": true,\n \"template_enabled\": true,\n \"show_progress\": true,\n \"is_text_protected\": true,\n \"show_lessons_in_cabinet\": true,\n \"menu_enabled\": true,\n \"landing_button_text\": \"<string>\",\n \"autodelete_steps\": {\n \"delay\": 24,\n \"step_types\": []\n }\n },\n \"access\": {\n \"finish_product_id\": 123,\n \"access_period\": {\n \"delay\": 123,\n \"delay_date\": \"<string>\",\n \"reminder\": {\n \"enabled\": true,\n \"days\": 123,\n \"text\": \"<string>\",\n \"button_text\": \"<string>\",\n \"offer_type\": \"<string>\",\n \"renewal_offer_id\": 123\n }\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"name": "<string>",
"type": "product",
"platform": "<string>",
"is_active": true,
"subscribers_count": 123,
"steps_count": 123,
"sections_count": 123,
"cover_url": "<string>",
"description": "<string>",
"restart_enabled": true,
"autodelete_steps_enabled": true,
"template_url": "<string>",
"template_url_enabled": true,
"folder_id": 123,
"bot_slug": "<string>",
"landing_slug": "<string>",
"link": "<string>",
"landing_link": "<string>",
"direct_subscription_access": true,
"created_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Продукти
Оновити продукт
Частково оновлює продукт, змінюються лише передані поля.
PATCH
/
api
/
v1
/
bot
/
{bot}
/
products
/
{product}
Update product
curl --request PATCH \
--url https://app.zenedu.io/api/v1/bot/{bot}/products/{product} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"settings": {
"restart": true,
"protect_content": true,
"show_lesson_name": true,
"template_enabled": true,
"show_progress": true,
"is_text_protected": true,
"show_lessons_in_cabinet": true,
"menu_enabled": true,
"landing_button_text": "<string>",
"autodelete_steps": {
"delay": 24,
"step_types": []
}
},
"access": {
"finish_product_id": 123,
"access_period": {
"delay": 123,
"delay_date": "<string>",
"reminder": {
"enabled": true,
"days": 123,
"text": "<string>",
"button_text": "<string>",
"offer_type": "<string>",
"renewal_offer_id": 123
}
}
}
}
'import requests
url = "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}"
payload = {
"name": "<string>",
"description": "<string>",
"settings": {
"restart": True,
"protect_content": True,
"show_lesson_name": True,
"template_enabled": True,
"show_progress": True,
"is_text_protected": True,
"show_lessons_in_cabinet": True,
"menu_enabled": True,
"landing_button_text": "<string>",
"autodelete_steps": {
"delay": 24,
"step_types": []
}
},
"access": {
"finish_product_id": 123,
"access_period": {
"delay": 123,
"delay_date": "<string>",
"reminder": {
"enabled": True,
"days": 123,
"text": "<string>",
"button_text": "<string>",
"offer_type": "<string>",
"renewal_offer_id": 123
}
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
settings: {
restart: true,
protect_content: true,
show_lesson_name: true,
template_enabled: true,
show_progress: true,
is_text_protected: true,
show_lessons_in_cabinet: true,
menu_enabled: true,
landing_button_text: '<string>',
autodelete_steps: {delay: 24, step_types: []}
},
access: {
finish_product_id: 123,
access_period: {
delay: 123,
delay_date: '<string>',
reminder: {
enabled: true,
days: 123,
text: '<string>',
button_text: '<string>',
offer_type: '<string>',
renewal_offer_id: 123
}
}
}
})
};
fetch('https://app.zenedu.io/api/v1/bot/{bot}/products/{product}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'settings' => [
'restart' => true,
'protect_content' => true,
'show_lesson_name' => true,
'template_enabled' => true,
'show_progress' => true,
'is_text_protected' => true,
'show_lessons_in_cabinet' => true,
'menu_enabled' => true,
'landing_button_text' => '<string>',
'autodelete_steps' => [
'delay' => 24,
'step_types' => [
]
]
],
'access' => [
'finish_product_id' => 123,
'access_period' => [
'delay' => 123,
'delay_date' => '<string>',
'reminder' => [
'enabled' => true,
'days' => 123,
'text' => '<string>',
'button_text' => '<string>',
'offer_type' => '<string>',
'renewal_offer_id' => 123
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"settings\": {\n \"restart\": true,\n \"protect_content\": true,\n \"show_lesson_name\": true,\n \"template_enabled\": true,\n \"show_progress\": true,\n \"is_text_protected\": true,\n \"show_lessons_in_cabinet\": true,\n \"menu_enabled\": true,\n \"landing_button_text\": \"<string>\",\n \"autodelete_steps\": {\n \"delay\": 24,\n \"step_types\": []\n }\n },\n \"access\": {\n \"finish_product_id\": 123,\n \"access_period\": {\n \"delay\": 123,\n \"delay_date\": \"<string>\",\n \"reminder\": {\n \"enabled\": true,\n \"days\": 123,\n \"text\": \"<string>\",\n \"button_text\": \"<string>\",\n \"offer_type\": \"<string>\",\n \"renewal_offer_id\": 123\n }\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.zenedu.io/api/v1/bot/{bot}/products/{product}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"settings\": {\n \"restart\": true,\n \"protect_content\": true,\n \"show_lesson_name\": true,\n \"template_enabled\": true,\n \"show_progress\": true,\n \"is_text_protected\": true,\n \"show_lessons_in_cabinet\": true,\n \"menu_enabled\": true,\n \"landing_button_text\": \"<string>\",\n \"autodelete_steps\": {\n \"delay\": 24,\n \"step_types\": []\n }\n },\n \"access\": {\n \"finish_product_id\": 123,\n \"access_period\": {\n \"delay\": 123,\n \"delay_date\": \"<string>\",\n \"reminder\": {\n \"enabled\": true,\n \"days\": 123,\n \"text\": \"<string>\",\n \"button_text\": \"<string>\",\n \"offer_type\": \"<string>\",\n \"renewal_offer_id\": 123\n }\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.zenedu.io/api/v1/bot/{bot}/products/{product}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"settings\": {\n \"restart\": true,\n \"protect_content\": true,\n \"show_lesson_name\": true,\n \"template_enabled\": true,\n \"show_progress\": true,\n \"is_text_protected\": true,\n \"show_lessons_in_cabinet\": true,\n \"menu_enabled\": true,\n \"landing_button_text\": \"<string>\",\n \"autodelete_steps\": {\n \"delay\": 24,\n \"step_types\": []\n }\n },\n \"access\": {\n \"finish_product_id\": 123,\n \"access_period\": {\n \"delay\": 123,\n \"delay_date\": \"<string>\",\n \"reminder\": {\n \"enabled\": true,\n \"days\": 123,\n \"text\": \"<string>\",\n \"button_text\": \"<string>\",\n \"offer_type\": \"<string>\",\n \"renewal_offer_id\": 123\n }\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"name": "<string>",
"type": "product",
"platform": "<string>",
"is_active": true,
"subscribers_count": 123,
"steps_count": 123,
"sections_count": 123,
"cover_url": "<string>",
"description": "<string>",
"restart_enabled": true,
"autodelete_steps_enabled": true,
"template_url": "<string>",
"template_url_enabled": true,
"folder_id": 123,
"bot_slug": "<string>",
"landing_slug": "<string>",
"link": "<string>",
"landing_link": "<string>",
"direct_subscription_access": true,
"created_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Авторизації
API token from the Zenedu dashboard
Тіло
application/json
Відповідь
Updated product
Show child attributes
Show child attributes